module     p1_uubar_emep_diagramsh1l0
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Z/1.4/Virtual/p1_uu
   ! bar_emep/helicity1/diagramsl0.f90
   ! generator: haggies (1.1)
   use p1_uubar_emep_color, only: numcs
   use p1_uubar_emep_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use p1_uubar_emep_model
      use p1_uubar_emep_kinematics
      use p1_uubar_emep_color
      use p1_uubar_emep_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use p1_uubar_emep_accu, only: sorted_sum
      use p1_uubar_emep_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(2,numcs) :: diagrams
      integer :: i
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      diagrams(2, :) = spbk3k1*spak2k4*i_*ger*gUl*(-2.0_ki)/(es12+i_*mZ*wZ-mZ*mZ&
      &)*c1
      diagrams(1, :) = (spbk3k1*spak2k4*i_*(4.0_ki/3.0_ki)*c1/es12)
      if (debug_lo_diagrams) then
         call inspect_lo_diagram(diagrams(1,:), 1, 1, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 1, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module p1_uubar_emep_diagramsh1l0
