module     p1_uubar_emep_abbrevh0
   use p1_uubar_emep_config, only: ki
   use p1_uubar_emep_globalsh0
   implicit none
   private
   complex(ki), public :: abb13n1
   complex(ki), public :: abb13n2
   complex(ki), public :: abb13n3
   complex(ki), public :: abb13n4
   complex(ki), public :: abb13n5
   complex(ki), public :: abb13n6
   complex(ki), public :: abb13n7
   complex(ki), public :: rat2d13
   complex(ki), public :: abb13n9
   complex(ki), public :: abb13n10
   complex(ki), public :: abb13n11
   complex(ki), public :: abb13n12
   complex(ki), public :: abb13n13
   complex(ki), public :: abb13n14
   complex(ki), public :: abb13n15
   complex(ki), public :: abb13n16
   complex(ki), public :: abb13n17
   complex(ki), public :: abb13n18
   complex(ki), public :: abb13n19

   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p1_uubar_emep_config, only: deltaOS, &
     &    logfile, debug_nlo_diagrams
      use p1_uubar_emep_kinematics
      use p1_uubar_emep_model
      use p1_uubar_emep_color, only: TR
      use p1_uubar_emep_globalsl1, only: epspow
      implicit none
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      real(ki) :: t19
      t1 = es12+wZ*mZ*i_-mZ*mZ
      t2 = TR*c1
      t3 = ger*gUr*t2*i_
      t4 = t3*spak1k4
      t5 = NC*t1
      t6 = t4/t5*spbk3k2
      t7 = NC*TR*c1
      t8 = ger*gUr*t7*i_
      t9 = t8*spak1k4
      t10 = t9/t1*spbk3k2
      t11 = t2*i_
      t12 = t11*spak1k4
      t13 = t12*spbk3k2
      t19 = NC*es12
      t14 = t13/t19
      t15 = t7*i_
      t16 = t15*spak1k4
      t17 = t16*spbk3k2
      t18 = t17/es12
      abb13n1 = ((2.0_ki/3.0_ki)*(t14-t18)+t10-t6)
      abb13n2 = ((4.0_ki/3.0_ki)*(t13/NC-t17)+(2.0_ki)*(ger*gUr*es12*t7/t1*i_*sp&
      &ak1k4*spbk3k2-ger*gUr*es12*t2/t5*i_*spak1k4*spbk3k2))
      abb13n3 = ((2.0_ki)*(t4/t5*spbk2k1-t9/t1*spbk2k1)+(4.0_ki/3.0_ki)*(t16/es1&
      &2*spbk2k1-t12/t19*spbk2k1))
      t2 = t6-t10
      t4 = t18-t14
      abb13n4 = ((2.0_ki)*t2+(4.0_ki/3.0_ki)*t4)
      abb13n5 = ((4.0_ki)*t2+(8.0_ki/3.0_ki)*t4)
      abb13n6 = ((2.0_ki)*(t8/t1*spak2k4*spbk3k2-t3/t5*spak2k4*spbk3k2)+(4.0_ki/&
      &3.0_ki)*(t11/t19*spak2k4*spbk3k2-t15/es12*spak2k4*spbk3k2))
      abb13n7 = ((2.0_ki)*(t8/t1-t3/t5)+(4.0_ki/3.0_ki)*(t11/t19-t15/es12))
      rat2d13 = abb13n1
      rat2 = rat2 + rat2d13
      if (debug_nlo_diagrams) then
          write (logfile,*) "<result name='r2' index='13' value='", &
          & rat2d13, "'/>"
      end if
      abb13n9 = abb13n2
      abb13n10 = abb13n7
      abb13n11 = abb13n6
      abb13n12 = abb13n5
      abb13n13 = abb13n4
      abb13n14 = abb13n3
      abb13n15 = -(abb13n3)
      abb13n16 = (-2.0_ki)*abb13n4
      abb13n17 = -(abb13n5)
      abb13n18 = -(abb13n6)
      abb13n19 = -(abb13n7)
   end subroutine
end module p1_uubar_emep_abbrevh0
