module     p1_uubar_emep_golem95h1
   use precision_golem, only: ki_gol => ki
   use p1_uubar_emep_config, only: ki
   implicit none
   private
   interface reconstruct_group
      module procedure reconstruct_group0
   end interface

   public :: reconstruct_group
contains
!---#[ subroutine reconstruct_group0:
subroutine     reconstruct_group0(coeffs)
   use tens_rec
   use p1_uubar_emep_config
   use p1_uubar_emep_groups, only: tensrec_info_group0
   use p1_uubar_emep_d13h1l1, only: numerator_d13 => numerator_golem95
   use p1_uubar_emep_d13h1l1d, only: reconstruct_d13
   implicit none
   type(tensrec_info_group0), intent(out) :: coeffs
   !------#[ Diagram 13:
      if (tens_rec_by_derivatives) then
         call reconstruct_d13(coeffs)
      else
         call reconstruct2(numerator_d13, coeffs%coeffs_13)
      end if
   !------#] Diagram 13:
end subroutine reconstruct_group0
!---#] subroutine reconstruct_group0:
end module p1_uubar_emep_golem95h1
