module     p1_uubar_emep_diagramsh3l0fr5
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Z/1.4/Virtual/p1_uu
   ! bar_emep/helicity3/diagramsl0fr5.f90
   ! generator: haggies (1.1)
   use p1_uubar_emep_color, only: numcs
   use p1_uubar_emep_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use p1_uubar_emep_model
      use p1_uubar_emep_kinematics
      use p1_uubar_emep_color
      use p1_uubar_emep_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use p1_uubar_emep_accu, only: sorted_sum
      use p1_uubar_emep_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(2,numcs) :: diagrams
      integer :: i
      complex(ki) :: t1
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      t1 = es12+i_*mZ*wZ-mZ*mZ
      diagrams(2, :) = (spak2k3*i_*(2.0_ki)*(gUr/t1*gel*spbk4k1-gUl/t1*gel*spbk4&
      &k1)*c1)
      diagrams(1, :) = (0.0_ki)
      if (debug_lo_diagrams) then
         call inspect_lo_diagram(diagrams(1,:), 1, 3, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 3, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module p1_uubar_emep_diagramsh3l0fr5
